[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSList.AddList

Adds the elements from another list

## Declaration

Source position: fgl.pp line 88

`public procedure TFPSList.AddList(`
`Obj: TFPSList`
`);`

## Description

AddList adds all the elements from list Obj to the current list. A check is done that the 2 lists have the same element size.

## Errors

If the lists have different element size, an EListError exception will be raised.

## See also

TFPSList.Add |  | Add a new item to the list
EListError |  | Exception thrown when a list-related error occurs